N = 256;
eps = 1;
load('WorkSpace_Parameter.mat')
load('gamma2d5g16160sigma9_2c1_1_160000.mat')
dr = Parameter(2)./110;
[xx,yy,zz] = meshgrid(1:N,1:N,1:N/2);
r_shell = 112;
% multiphase_disp({phi_shell},[],[],0.35,dr,0,[]);
x = dr*(-127:128);
y = dr*(-127:128);
z = dr*(-63:64);
c_seq=[3.5,5.5,1.5,7.5];
[X,Y,Z] = meshgrid(x,y,z);
%% fig
figure;set(gcf,'unit','normalized','position',[0,0,0.5,0.8]);colormap(jet)
% eggshell
shell_shape = shape_generate(r_shell,xx,yy,zz,N,[0.67,0.45],1,0.36);
phi_shell = (1-tanh(shell_shape/eps))/2;
[faces_shell,verts_shell] = isosurface(X,Z,Y,phi_shell,0.35);
% c = [0.1,1,0.7];
c = 0.7*ones(1,3);
% c = [1,0.7,1];
patch('Vertices',verts_shell,'Faces',faces_shell,'FaceColor',c,'EdgeColor','none','FaceAlpha',0.5);
% cell
CellNum = 4;
faces_cell = cell(CellNum,1);
verts_cell = cell(CellNum,1);
for n = 1:CellNum
  [faces_cell{n},verts_cell{n}]= isosurface(X,Z,Y,phi_save{n},0.35);
end
for cellidx = 1:CellNum
  C = c_seq(cellidx)*ones(length(verts_cell{cellidx}),1);
  patch('Vertices',verts_cell{cellidx},'Faces',faces_cell{cellidx},'FaceVertexCData',C,'FaceColor','interp','EdgeColor','none','FaceAlpha',1);
end
% intersection
patch('Faces',1:4,'Vertices',[[-30;30;30;-30],zeros(4,1),[-18.5;-18.5;18.5;18.5]],'FaceColor',[1,1,1],'FaceAlpha',0.85)
%% fig setting
view([0,0,-1]);camlight(-20,90);
% view([0.15,-1,0.5])
% view([0.2,-1,0.8])
view(20,30)
xlabel('\itx\rm / A-P Axis (\mum)');
ylabel('\ity\rm / L-R Axis (\mum)');
zlabel('\itz\rm / D-V Axis (\mum)');
caxis([1,8])
set(gca,'FontSize',25,'Fontname','arial','XAxisLocation','top');
axis('equal',[-30,30,-15,15,-20,20])