function adj_m(phi_save,sigma,cont_area,cell_seq,marker_size)
if nargin < 3
	N = length(phi_save) - sum(cellfun(@isempty,phi_save));
	if N > 1
		[~,~,cont_area,cell_seq] = contact_area(phi_save,0.44);
		adjm = cont_area > 0;
		line_width = 18/N;
	else
		adjm = 0;
		cell_seq = 1;
		line_width = 9;
	end
	marker_size = 180/N;
else
	N = size(cont_area,1);
	adjm = cont_area > 0;
	if N>1
		line_width = 18/N;
	else
		line_width = 9;
	end
end
f = 1:4;
for m = 1:N
	for n = 1:m
			if sigma(cell_seq(n),cell_seq(m)) == 0.9
				color = 0.4*ones(1,3);
			elseif sigma(cell_seq(n),cell_seq(m)) == 1.6
				color = 0.2*ones(1,3);
			elseif sigma(cell_seq(n),cell_seq(m)) == 0.2
				color = 0.8*ones(1,3);
			else
				color = ones(1,3);
			end
			v = [[0;1;1;0]-n,[0;0;1;1]-m];
			patch('Faces',f,'Vertices',v,'FaceColor',color,'EdgeColor',[1,1,1],'LineWidth',line_width)
			v = [[0;1;1;0]-m,[0;0;1;1]-n];
			patch('Faces',f,'Vertices',v,'FaceColor',color,'EdgeColor',[1,1,1],'LineWidth',line_width)
			if adjm(n,m) == 1
				hold on;plot([0.5-n,0.5-m],[0.5-m,0.5-n],'k.','markersize',marker_size)
			end
		end
	end
axis equal
set(gca,'xdir','reverse')