function [phi1,phi2]=cell_division(phi,ratio_t,div_axis,eps)
[X,Y,Z] = size(phi);
[xx,yy,zz] = meshgrid(1:X,1:Y,1:Z);
x_c = sum(phi(:).*xx(:))/sum(phi(:));
y_c = sum(phi(:).*yy(:))/sum(phi(:));
z_c = sum(phi(:).*zz(:))/sum(phi(:));
div_surf = (xx-x_c)*div_axis(1)+(yy-y_c)*div_axis(2)+(zz-z_c)*div_axis(3);
cell_range1 = div_surf;
cell_range2 = -div_surf;
phi1 = phi.*(tanh(cell_range1/eps)+1)/2;
phi2 = phi.*(tanh(cell_range2/eps)+1)/2;
ratio_old = gather(sum(phi1(:))/sum(phi2(:)));
b_old = 0;
b_new = 1;
n = 1;
delta = 0;
while (ratio_old-ratio_t)^2>0.0025
    cell_range1 = div_surf-b_new;
    cell_range2 = b_new-div_surf;
    phi1 = phi.*(tanh(cell_range1/eps)+1)/2;
    phi2 = phi.*(tanh(cell_range2/eps)+1)/2;
    ratio_new = gather(sum(phi1(:))/sum(phi2(:)));
    delta = delta - (ratio_new-ratio_t)*(ratio_new-ratio_old)/(b_new-b_old);
    b_old = b_new;
    ratio_old = ratio_new;
    b_new = b_old+delta;
    n = n+1;
end