function [contact_area_ratio,mem_area,cont_area,cell_seq] = contact_area(phi_stack,threshold,dr)
phase_num = length(phi_stack) - sum(cellfun(@isempty,phi_stack));
if phase_num == 4
    cell_seq = [3,1,2,4];
elseif phase_num == 6
    cell_seq = [3,6,1,5,2,4];
elseif phase_num == 7
    cell_seq = [3,6,1,5,2,7,4];
elseif phase_num == 8
    cell_seq = [3,6,1,5,2,7,4,8];
elseif phase_num == 12
    cell_seq = [10,3,12,6,9,1,11,5,2,7,4,8];
elseif phase_num == 3
    cell_seq = [3,1,2];
elseif phase_num == 2
    cell_seq = [1,2];
end

contact_area_ratio = zeros(phase_num);
cont_area = zeros(phase_num);
mem_area = zeros(phase_num,1);
for n = 1:phase_num
    cell_range = phi_stack{cell_seq(n)}>threshold;
    contact = imdilate(cell_range,strel('cube',3))-cell_range;
%     contact = imdilate(cell_range,strel('sphere',1))-cell_range;
%     mem = imdilate(cell_range,strel('cube',3))-cell_range;
    mem = imdilate(cell_range,strel('sphere',1))-cell_range;
    mem_area(n) = sum(mem(:));
    for m = 1:phase_num
        if m~=n
            cell_range_t = phi_stack{cell_seq(m)}>threshold;
            target = imdilate(cell_range_t,strel('cube',3));
%             target = imdilate(cell_range_t,strel('sphere',1));
            mem_t = target - cell_range_t;
            contact_mem = contact.*target;
            if nargin>2&&cont_area(n,m) == 0&&cont_area(m,n) == 0
                [y,x,z] = ind2sub(size(contact_mem),find(contact_mem));
                x = dr*(x-128);
                y = dr*(y-128);
                z = dr*(64-z);
                plot3(x,y,z,'.');hold on;axis equal
            end
            cont_area(n,m) = sum(contact_mem(:));
            contact_area_ratio(n,m) = sum(contact_mem(:))/mean([mem_area(n),sum(mem_t(:))]);
        end
    end
end
cont_area = round((cont_area+flipud(rot90(cont_area)))/2);